using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class House : MonoBehaviour {

    public GameObject AttachedParticleEffect = null;

    public event System.EventHandler Destroyed;

    House()
    {
        HouseProcessor.AddHouse(this);
    }

    private void OnDestroy()
    {
        Destroyed?.Invoke(this, null);
    }

    public BurnState burningState;
    public bool ShowingSuppression = false;

}
